Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0023716
TypeCategorySeverityReproducibilityDate SubmittedLast Update
design defect[Openbravo ERP] B. User interfacecriticalrandom2013-05-02 12:222013-05-23 01:32
ReporteregoitzView Statuspublic 
Assigned ToAugustoMauch 
PriorityimmediateResolutionfixedFixed in Version3.0MP23
StatusclosedFix in branchFixed in SCM revision918db8747bf2
ProjectionnoneETAnoneTarget Version3.0MP23
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toshankarb
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2013-01-25
Regression introduced in release
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/d0d2ca046bbb2b054d43a31a4cba76d02949e4e0 [^]
Triggers an Emergency PackNo
Summary

0023716: Sometimes the grid does not filter properly with the values entered

DescriptionSometimes the grid does not filter properly with the values entered.

ncaught TypeError: Cannot read property 'criteria' of null 7134e0bae500b2f5d8af5300d699c21a.js:448
isc.OBMiniDateRangeItem.addProperties.makeLogicalDates 7134e0bae500b2f5d8af5300d699c21a.js:448
isc.OBMiniDateRangeItem.addProperties.getCriterion 7134e0bae500b2f5d8af5300d699c21a.js:448
isc_DynamicForm__getMappedCriteriaValues ISC_Combined.js:11220
isc_DynamicForm_getValuesAsCriteria ISC_Combined.js:11219
isc_RecordEditor__getFilterCriteria ISC_Combined.js:9904
isc_RecordEditor_performFilter ISC_Combined.js:9901
isc_RecordEditor_performAction ISC_Combined.js:9892
isc_RecordEditor_cellEditEnd ISC_Combined.js:9923
isc_ListGrid_editorKeyPress ISC_Combined.js:7508
isc_c_Class_invokeSuper ISC_Combined.js:290
isc_c_Class_Super ISC_Combined.js:281
isc_RecordEditor_editorKeyPress ISC_Combined.js:9927
isc.A.editFormDefaults.itemKeyPress ISC_Combined.js:7450
isc_FormItem__fireKeyPressHandlers ISC_Combined.js:12525
isc_FormItem_handleKeyPress ISC_Combined.js:12521
isc_c_Class_invokeSuper ISC_Combined.js:290
isc_c_Class_Super ISC_Combined.js:281
isc_TextItem_handleKeyPress ISC_Combined.js:12941
isc_c_EventHandler_bubbleEvent ISC_Combined.js:1690
isc_c_EventHandler_handleKeyPress ISC_Combined.js:1431
isc_c_EventHandler__handleNativeKeyPress ISC_Combined.js:1426
isc_c_EventHandler_dispatch ISC_Combined.js:1753
(anonymous function)
Steps To ReproduceHappens sometimes.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0058408)
hgbot (developer)
2013-05-02 12:27

Repository: erp/devel/pi
Changeset: 918db8747bf2c014a6ed52f61bf9e7c039bc1a77
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Thu May 02 12:27:03 2013 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/918db8747bf2c014a6ed52f61bf9e7c039bc1a77 [^]

Fixes issue 23716: Handles special case when criteria is null

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-minidaterange.js
---
(0058409)
AugustoMauch (developer)
2013-05-02 12:30

Sometimes in the ob-formitem-minidaterange.getCriterion() function, the blurValue of the date filter returns null, when it usually returns en empty string. This case was not being handled.

To test this, replace this line:
var value = this.blurValue();
with this line:
var value = null;

Then open any window, make visible the Created column and try to filter that column, and others.
(0058410)
shankarb (developer)
2013-05-02 13:00

Code reviewed and tested in pi changeset 918db8747bf2.
(0058758)
hudsonbot (developer)
2013-05-23 01:32

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/97c7f6256af7 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-05-02 12:22 egoitz New Issue
2013-05-02 12:22 egoitz Assigned To => AugustoMauch
2013-05-02 12:22 egoitz Modules => Core
2013-05-02 12:22 egoitz Triggers an Emergency Pack => No
2013-05-02 12:27 AugustoMauch Issue Monitored: shankarb
2013-05-02 12:27 AugustoMauch Review Assigned To => shankarb
2013-05-02 12:27 hgbot Checkin
2013-05-02 12:27 hgbot Note Added: 0058408
2013-05-02 12:27 hgbot Status new => resolved
2013-05-02 12:27 hgbot Resolution open => fixed
2013-05-02 12:27 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/918db8747bf2c014a6ed52f61bf9e7c039bc1a77 [^]
2013-05-02 12:30 AugustoMauch Note Added: 0058409
2013-05-02 12:37 AugustoMauch Regression level => Production - Confirmed Stable
2013-05-02 12:38 AugustoMauch Regression date => 2013-01-25
2013-05-02 12:38 AugustoMauch Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/d0d2ca046bbb2b054d43a31a4cba76d02949e4e0 [^]
2013-05-02 13:00 shankarb Note Added: 0058410
2013-05-02 13:00 shankarb Status resolved => closed
2013-05-02 13:00 shankarb Fixed in Version => 3.0MP23
2013-05-23 01:32 hudsonbot Checkin
2013-05-23 01:32 hudsonbot Note Added: 0058758


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker